package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.eas.framework.ITreeBase;
import com.kingdee.bos.dao.IObjectPK;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.Context;
import com.kingdee.eas.framework.TreeBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.dormitorysystem.otherbasicdata.app.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class DormitoryTypeTree extends TreeBase implements IDormitoryTypeTree
{
    public DormitoryTypeTree()
    {
        super();
        registerInterface(IDormitoryTypeTree.class, this);
    }
    public DormitoryTypeTree(Context ctx)
    {
        super(ctx);
        registerInterface(IDormitoryTypeTree.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("68A8F7FC");
    }
    private DormitoryTypeTreeController getController() throws BOSException
    {
        return (DormitoryTypeTreeController)getBizController();
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public DormitoryTypeTreeInfo getDormitoryTypeTreeInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getDormitoryTypeTreeInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public DormitoryTypeTreeInfo getDormitoryTypeTreeInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getDormitoryTypeTreeInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public DormitoryTypeTreeInfo getDormitoryTypeTreeInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getDormitoryTypeTreeInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public DormitoryTypeTreeCollection getDormitoryTypeTreeCollection() throws BOSException
    {
        try {
            return getController().getDormitoryTypeTreeCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public DormitoryTypeTreeCollection getDormitoryTypeTreeCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getDormitoryTypeTreeCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public DormitoryTypeTreeCollection getDormitoryTypeTreeCollection(String oql) throws BOSException
    {
        try {
            return getController().getDormitoryTypeTreeCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}